Support for ASP.Net and Entity Framework Core 1.0

Support for ASP.Net and Entity Framework Core 1.0

Postby ricsmania » Wed 29 Jun 2016 12:15

Hello,

Now that the 1.0 version of ASP.Net and Entity Framework Core is released, when can we expect to get a compatible dotConnect version?

I tried using the current 9.1.45 version but got this error:

Could not load type 'Microsoft.Extensions.DependencyInjection.Extensions.ServiceCollectionExtensions' ...

Probably because of this: https://github.com/aspnet/Announcements/issues/187
ricsmania
 
Posts: 9
Joined: Fri 17 Jun 2016 16:37

Re: Support for ASP.Net and Entity Framework Core 1.0

Postby nattaporn » Wed 29 Jun 2016 14:45

I have same problem. Can u tell me about new version for compatible dotConnect?

I using the current 8.6.677 for mysql but error

Could not load type 'Microsoft.Extensions.DependencyInjection.Extensions.ServiceCollectionExtensions'
nattaporn
 
Posts: 3
Joined: Tue 04 Aug 2015 18:17

Re: Support for ASP.Net and Entity Framework Core 1.0

Postby Shalex » Fri 01 Jul 2016 17:01

1. The current (9.1.45) build of dotConnect for Oracle supports Entity Framework Core RC2. To use it, either add the Devart EF Core Model item (via the Add > New Item > Data menu of project in Solution Explorer) to make Entity Developer to add the Entity Framework Core RC2 packages in your project automatically, or install RC2 packages manually (Package source: https://www.nuget.org/api/v2/):
> Install-Package Microsoft.EntityFrameworkCore.Relational -PreRelease

The EF Core RTM support will be included in the next public build of dotConnect for Oracle. We will notify you when it is available for download.

2. EF Core is being developed by Microsoft for the following target platforms:
.NET 4.5.1 and higher -> supported by our provider
.NET Core (dnxcore50)
ASP.NET Core (dnx451)
Universal Windows Platform
Shalex
Devart Team
 
Posts: 7460
Joined: Thu 14 Aug 2008 12:44

Re: Support for ASP.Net and Entity Framework Core 1.0

Postby Shalex » Thu 07 Jul 2016 17:33

Entity Framework Core 1.0 RTM is supported in the newest (9.1.55) build of dotConnect for Oracle: https://www.devart.com/dotconnect/oracle/revision_history.html.
Shalex
Devart Team
 
Posts: 7460
Joined: Thu 14 Aug 2008 12:44


Return to dotConnect for Oracle